#!/usr/bin/env node
'use strict';

var fs = require('fs');
var path = require('path');
var sshtojwk = require('../index.js');

var pubfile = process.argv[2];

if (!pubfile) {
  pubfile = path.join(require('os').homedir(), '.ssh/id_rsa.pub');
}

var buf = fs.readFileSync(pubfile);
var ssh = sshtojwk.parse(buf.toString('ascii'));

console.info(JSON.stringify(ssh.jwk, null, 2));
